
renderingOptions:
  submitButtonLabel: 'Bewerbung absenden'
type: Form
identifier: bewerbungsformular
label: Bewerbungsformular
prototypeName: standard
finishers:
  -
    options:
      subject: 'Bewerbung Webseite'
      recipients:
        bewerbung@meincare.de: ''
      senderAddress: meincare@eckpunkt.de
      senderName: '{text-2} {text-1}'
      addHtmlPart: true
      attachUploads: true
      translation:
        language: Standard
      useFluidEmail: false
      title: ''
    identifier: EmailToReceiver
  -
    options:
      pageUid: '30'
      additionalParameters: ''
    identifier: Redirect
renderables:
  -
    renderingOptions:
      previousButtonLabel: 'Vorherige Seite'
      nextButtonLabel: 'Nächster Schritt'
    type: Page
    identifier: page-1
    label: ''
    renderables:
      -
        type: Fieldset
        identifier: fieldset-1
        label: 'Persönliche Angaben'
        renderables:
          -
            defaultValue: ''
            type: Text
            identifier: text-2
            label: Vorname
            properties:
              hideLabel: 1
              fluidAdditionalAttributes:
                placeholder: 'Vorname*'
                required: required
            validators:
              -
                identifier: NotEmpty
          -
            defaultValue: ''
            type: Text
            identifier: text-1
            label: Nachname
            properties:
              hideLabel: 1
              fluidAdditionalAttributes:
                placeholder: 'Nachname*'
                required: required
            validators:
              -
                identifier: NotEmpty
          -
            defaultValue: ''
            type: Text
            identifier: text-3
            label: 'Strasse,Hausnummer'
            properties:
              hideLabel: 1
              fluidAdditionalAttributes:
                placeholder: 'Strasse, Hausnummer*'
                required: required
            validators:
              -
                identifier: NotEmpty
          -
            defaultValue: ''
            type: Text
            identifier: text-4
            label: PLZ
            properties:
              hideLabel: 1
              fluidAdditionalAttributes:
                required: required
                placeholder: PLZ
            validators:
              -
                identifier: NotEmpty
          -
            defaultValue: ''
            type: Text
            identifier: text-5
            label: Ort
            properties:
              hideLabel: 1
              fluidAdditionalAttributes:
                placeholder: 'Ort*'
                required: required
            validators:
              -
                identifier: NotEmpty
          -
            defaultValue: ''
            type: Text
            identifier: text-6
            label: Telefon
            properties:
              hideLabel: 1
              fluidAdditionalAttributes:
                placeholder: 'Telefon*'
                required: required
            validators:
              -
                identifier: NotEmpty
          -
            defaultValue: ''
            type: Text
            identifier: text-7
            label: E-Mail-Adresse
            properties:
              hideLabel: 1
              fluidAdditionalAttributes:
                placeholder: 'E-Mail-Adresse*'
                required: required
            validators:
              -
                identifier: NotEmpty
          -
            properties:
              dateFormat: d.m.y
              enableDatePicker: false
              displayTimeSelector: false
              fluidAdditionalAttributes:
                placeholder: Geburtsdatum
            type: DatePicker
            identifier: datepicker-1
            label: Geburtsdatum
            validators:
              -
                identifier: DateTime
      -
        type: Fieldset
        identifier: fieldset-2
        label: 'Angaben zur Bewerbung'
        renderables:
          -
            defaultValue: ''
            type: Text
            identifier: text-8
            label: Sprachkenntnisse
            properties:
              hideLabel: 1
              fluidAdditionalAttributes:
                placeholder: Sprachkenntnisse
          -
            defaultValue: ''
            type: Textarea
            identifier: textarea-1
            label: 'Deine Bewerbung'
            properties:
              hideLabel: 1
              fluidAdditionalAttributes:
                placeholder: 'Deine Bewerbung'
          -
            properties:
              dateFormat: d.m.y
              enableDatePicker: false
              displayTimeSelector: false
              fluidAdditionalAttributes:
                placeholder: 'Verfügbar ab*'
                required: required
            type: DatePicker
            identifier: datepicker-2
            label: 'Verfügbar ab*'
            validators:
              -
                identifier: NotEmpty
              -
                identifier: DateTime
      -
        type: Fieldset
        identifier: fieldset-3
        label: Bewerbungsunterlagen
        renderables:
          -
            properties:
              elementClassAttribute: form-control
              saveToFileMount: '1:/user_upload/Bewerbungsunterlagen/'
              allowedMimeTypes:
                - application/msword
                - application/vnd.openxmlformats-officedocument.wordprocessingml.document
                - application/pdf
                - application/vnd.oasis.opendocument.text
                - application/vnd.oasis.opendocument.spreadsheet-template
            type: FileUpload
            identifier: fileupload-2
            label: Dateiupload
          -
            properties:
              elementClassAttribute: form-control
              saveToFileMount: '1:/user_upload/Bewerbungsunterlagen/'
              allowedMimeTypes:
                - application/msword
                - application/vnd.openxmlformats-officedocument.wordprocessingml.document
                - application/pdf
                - application/vnd.oasis.opendocument.text
                - application/vnd.oasis.opendocument.spreadsheet-template
            type: FileUpload
            identifier: fileupload-1
            label: Dateiupload
          -
            properties:
              elementClassAttribute: form-control
              saveToFileMount: '1:/user_upload/Bewerbungsunterlagen/'
              allowedMimeTypes:
                - application/msword
                - application/vnd.openxmlformats-officedocument.wordprocessingml.document
                - application/pdf
                - application/vnd.oasis.opendocument.text
                - application/vnd.oasis.opendocument.spreadsheet-template
            type: FileUpload
            identifier: fileupload-3
            label: Dateiupload
      -
        type: Fieldset
        identifier: fieldset-5
        label: 'Ihr wurdet mir empfohlen.'
        renderables:
          -
            defaultValue: ''
            type: Text
            identifier: text-9
            label: 'Empfohlen von'
            properties:
              hideLabel: 1
              fluidAdditionalAttributes:
                placeholder: 'Empfohlen von (vollst. Name)'
      -
        type: Fieldset
        identifier: fieldset-4
        label: 'Datenschutz*'
        renderables:
          -
            label: Inhaltselement
            properties:
              contentElementUid: '105'
            type: ContentElement
            identifier: contentelement-1
          -
            label: Inhaltselement
            properties:
              contentElementUid: '106'
            type: ContentElement
            identifier: contentelement-2
